Registries - List Credentials

Lists the login credentials for the specified container registry.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerRegistry/registries/{registryName}/listCredentials?api-version=2025-11-01

URI Parameters

Name In Required Type Description
registryName
path True

string

minLength: 5
maxLength: 50
pattern: ^[a-zA-Z0-9]*$

The name of the container registry.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

RegistryListCredentialsResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

RegistryListCredentials

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/listCredentials?api-version=2025-11-01

Sample response

{
  "username": "myRegistry",
  "passwords": [
    {
      "name": "password",
      "value": "00000000000000000000000000000000"
    },
    {
      "name": "password2",
      "value": "00000000000000000000000000000000"
    }
  ]
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

PasswordName

The password name.

RegistryListCredentialsResult

The response from the ListCredentials operation.

RegistryPassword

The login password for the container registry.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

PasswordName

The password name.

Value Description
password
password2

RegistryListCredentialsResult

The response from the ListCredentials operation.

Name Type Description
passwords

RegistryPassword[]

The list of passwords for a container registry.

username

string

The username for a container registry.

RegistryPassword

The login password for the container registry.

Name Type Description
name

PasswordName

The password name.

value

string

The password value.